import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { S as SubscriptionContract, a as SubscriptionContractsQueryBuilder, b as SubscriptionContractCreatedEnvelope, c as SubscriptionContractDeletedEnvelope, d as SubscriptionContractUpdatedEnvelope } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.universal-DaM0yN7N.mjs';
export { aU as ActionEvent, ay as AdditionalFee, a8 as Address, aa as AddressLocation, a7 as AddressWithContact, A as AdjustmentType, an as AppliedDiscount, ao as AppliedDiscountDiscountSourceOneOf, aZ as BaseEventMetadata, R as BillingAdjustment, U as BillingAdjustmentPriceSummary, a3 as BuyerInfo, a4 as BuyerInfoIdOneOf, p as CatalogReference, av as ChannelInfo, C as ChannelType, w as Color, ap as Coupon, aA as CreateSubscriptionContractRequest, aB as CreateSubscriptionContractResponse, a5 as CurrencyConversionDetails, aK as CursorPaging, aM as CursorPagingMetadata, aH as CursorQuery, aI as CursorQueryPagingMethodOneOf, aN as Cursors, aw as CustomField, ae as DeliveryLogistics, af as DeliveryLogisticsAddressOneOf, ai as DeliveryTimeSlot, r as DescriptionLine, t as DescriptionLineDescriptionLineValueOneOf, u as DescriptionLineName, D as DescriptionLineType, s as DescriptionLineValueOneOf, G as DigitalFile, i as DiscountReason, as as DiscountRule, at as DiscountRuleName, h as DiscountType, aO as DomainEvent, aP as DomainEventBodyOneOf, aV as Empty, aQ as EntityCreatedEvent, aT as EntityDeletedEvent, aS as EntityUpdatedEvent, a_ as EventMetadata, $ as ExtendedFields, F as FocalPoint, Q as FreeTrialPeriod, ab as FullAddressContactDetails, aC as GetSubscriptionContractRequest, aD as GetSubscriptionContractResponse, aX as IdentificationData, aY as IdentificationDataIdOneOf, a2 as ItemModifier, B as ItemTaxFullDetails, y as ItemType, I as ItemTypeItemType, z as ItemTypeItemTypeDataOneOf, J as JurisdictionType, au as LineItemDiscount, E as LineItemTaxBreakdown, L as LineItemTaxInfo, az as Location, Y as LocationAndQuantity, aq as MerchantDiscount, ar as MerchantDiscountMerchantDiscountReasonOneOf, aW as MessageEnvelope, a0 as ModifierGroup, O as OrderLineItem, am as OrderTaxBreakdown, al as OrderTaxInfo, P as PaymentOptionType, x as PhysicalProperties, ah as PickupAddress, ag as PickupDetails, g as PickupMethod, v as PlainTextValue, q as Price, X as PriceDescription, a6 as PriceSummary, o as ProductName, aG as QuerySubscriptionContractsRequest, aL as QuerySubscriptionContractsResponse, aR as RestoreInfo, ad as ShippingInformation, aj as ShippingPrice, ak as ShippingRegion, j as SortOrder, aJ as Sorting, a9 as StreetAddress, a$ as SubscriptionContractsQueryResult, M as SubscriptionDescription, e as SubscriptionFrequency, H as SubscriptionInfo, N as SubscriptionSettings, K as SubscriptionTitle, Z as TaxableAddress, _ as TaxableAddressTaxableAddressDataOneOf, T as TaxableAddressType, a1 as TranslatableString, aE as UpdateSubscriptionContractRequest, aF as UpdateSubscriptionContractResponse, n as V1FreeTrialPeriod, l as V1SubscriptionDescription, m as V1SubscriptionSettings, ax as V1SubscriptionTitle, V as V2SubscriptionFrequency, ac as VatId, f as VatType, k as WebhookIdentityType, W as WeightUnit } from './ecom-subscription-contracts-v1-subscription-contract-subscription-contracts.universal-DaM0yN7N.mjs';

declare function getSubscriptionContract$1(httpClient: HttpClient): GetSubscriptionContractSignature;
interface GetSubscriptionContractSignature {
    /**
     * Retrieves a SubscriptionContract.
     * @param - ID of the SubscriptionContract to retrieve.
     * @returns The requested SubscriptionContract.
     */
    (subscriptionContractId: string): Promise<SubscriptionContract>;
}
declare function querySubscriptionContracts$1(httpClient: HttpClient): QuerySubscriptionContractsSignature;
interface QuerySubscriptionContractsSignature {
    /**
     * Retrieves a list of SubscriptionContracts, given the provided [paging, filtering, and sorting][1].
     *
     * Up to 300 SubscriptionContracts can be returned per request.
     *
     * To learn how to query SubscriptionContracts, see [API Query Language][2].
     *
     * [1]: https://dev.wix.com/api/rest/getting-started/sorting-and-paging
     * [2]: https://dev.wix.com/api/rest/getting-started/api-query-language
     */
    (): SubscriptionContractsQueryBuilder;
}
declare const onSubscriptionContractCreated$1: EventDefinition<SubscriptionContractCreatedEnvelope, "wix.ecom.subscription_contracts.v1.subscription_contract_created">;
declare const onSubscriptionContractDeleted$1: EventDefinition<SubscriptionContractDeletedEnvelope, "wix.ecom.subscription_contracts.v1.subscription_contract_deleted">;
declare const onSubscriptionContractUpdated$1: EventDefinition<SubscriptionContractUpdatedEnvelope, "wix.ecom.subscription_contracts.v1.subscription_contract_updated">;

declare const getSubscriptionContract: MaybeContext<BuildRESTFunction<typeof getSubscriptionContract$1> & typeof getSubscriptionContract$1>;
declare const querySubscriptionContracts: MaybeContext<BuildRESTFunction<typeof querySubscriptionContracts$1> & typeof querySubscriptionContracts$1>;
/** */
declare const onSubscriptionContractCreated: BuildEventDefinition<typeof onSubscriptionContractCreated$1>;
/** */
declare const onSubscriptionContractDeleted: BuildEventDefinition<typeof onSubscriptionContractDeleted$1>;
/** */
declare const onSubscriptionContractUpdated: BuildEventDefinition<typeof onSubscriptionContractUpdated$1>;

export { SubscriptionContract, SubscriptionContractCreatedEnvelope, SubscriptionContractDeletedEnvelope, SubscriptionContractUpdatedEnvelope, SubscriptionContractsQueryBuilder, getSubscriptionContract, onSubscriptionContractCreated, onSubscriptionContractDeleted, onSubscriptionContractUpdated, querySubscriptionContracts };
